{% extends "base.html" %}
{% load formatting %}

{% block page_name %}Sponsorship Suggestion Review{%endblock %}

{% block sub_nav %}{% endblock %}

{% block content %}
<h1>{{ sponsorship.name }}</h1>

<p>
<a class="launchpad" href="http://launchpad.net/~{{ sponsorship.launchpad_name }}" target="_new"><img src="/media/img/person.png"/>&nbsp;{{ sponsorship.launchpad_name }}</a>
<p>

<table>
<tr><th>Summit:</th><td><span>{{ sponsorship.summit.name }}<br/>{{ sponsorship.summit.location }}</span></td></tr>
</table>

<h2>Score</h2>
{% for score in scores %}
<p style="padding-bottom: 1em; border-bottom: 1px dashed silver">
<em>{{ score.user.get_full_name }}</em>: <strong>{{ score.score|stringformat:"+d" }}</strong><br/>
{{ score.comment }}
</p>
{% endfor %}
<form method="post">
{% csrf_token %}
<table>
<tr>
  <td><select name="score">
      <option{% ifequal score None %} selected{% endifequal %}>--</option>
      <option{% ifequal score.score -3 %} selected{% endifequal %}>-3</option>
      <option{% ifequal score.score -2 %} selected{% endifequal %}>-2</option>
      <option{% ifequal score.score -1 %} selected{% endifequal %}>-1</option>
      <option{% ifequal score.score "0" %} selected{% endifequal %}>0</option>
      <option{% ifequal score.score 1 %} selected{% endifequal %}>+1</option>
      <option{% ifequal score.score 2 %} selected{% endifequal %}>+2</option>
      <option{% ifequal score.score 3 %} selected{% endifequal %}>+3</option>
  </select></td>
  <td><input type="submit" value="Update Score"></td>
</tr>
<tr>
  <td colspan="3"><em>Comment:</em><br/><textarea name="comment" rows="5" cols="50">{{ score.comment }}</textarea></td>
</tr>
</table>
</form>

{% endblock %}
